Subject: bug#2642: Apparent regression on font-lock-compile-keywords

From: Nascif Abousalh-Neto <[email-masked]>
Date: Wed, 11 Mar 2009 18:27:40 -0400

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

====

I recently upgraded from Emacs 22 to Emacs 23 (W32 on Windows XP).
I have been using emacs-wiki and groovy-mode and not both fail with a similar error pointing to this:
font-lock-set-defaults: Wrong type argument: symbolp, (quote beginning-of-line)

It works on the second time or after turning font-lock on and off, and then fails again next time I try to use it.

If I enable debug-on-error I get:

Debugger entered--Lisp error: (wrong-type-argument symbolp (quote beginning-of-line))
  font-lock-compile-keywords(nil)
  font-lock-set-defaults()
  font-lock-mode-internal(t)
  font-lock-default-function(t)
  font-lock-mode(t)
  emacs-wiki-use-font-lock()
  run-hooks(text-mode-hook emacs-wiki-mode-hook)
  apply(run-hooks (text-mode-hook emacs-wiki-mode-hook))
  run-mode-hooks(emacs-wiki-mode-hook)
  emacs-wiki-mode()
  emacs-wiki-maybe()
  run-hooks(find-file-hook)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer WrsTreeMap> "~/wiki/WrsTreeMap" nil nil "~/wiki/WrsTreeMap" ((256 5 . 48868) 204666627))
  find-file-noselect("c:/home/wiki/WrsTreeMap" nil nil nil)
  find-file("c:/home/wiki/WrsTreeMap")
  emacs-wiki-find-file(("WrsTreeMap" . "c:/home/wiki/WrsTreeMap"))
  call-interactively(emacs-wiki-find-file nil nil)

Looks like a regression to me - I saw a related discussion in one of the emacs supporting mailing lists.

=====

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/home/bin/emacs-23.0.91/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.1 (i386-mingw-nt5.1.2600)
 of 2009-02-26 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  dired-omit-mode: t
  delete-selection-mode: t
  global-auto-revert-mode: t
  show-paren-mode: t
  shell-dirtrack-mode: t
  which-function-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<double-wheel-up> <down-mouse-1> <mouse-1> C-x C-s
<help-echo> <down-mouse-1> <mouse-1> C-s g r o o <return>
<return> <C-end> <up> <up> <return> <C-end> ^ <up>
<up> <up> <up> <down> <return> ^ <up> <return> ^ <help-echo>
<down-mouse-1> <mouse-1> M-x g r o o <tab> <return>
<down> C-x b * m e <return> <down-mouse-1> <mouse-1>
<down-mouse-1> <mouse-1> C-h f g r o o <tab> <return>
<down-mouse-1> <mouse-1> <C-home> <end> <left> <left>
<left> <return> C-x 1 <C-home> C-s f o n t C-s C-s
<end> C-x C-e <down> <next> <C-end> <C-f6> M C-g B
y <down-mouse-1> <mouse-1> <up> <return> <end> C-x
C-e <help-echo> <down-mouse-1> <mouse-1> C-x d u "
<backspace> : / e <tab> a <backspace> <return> _ s
i t <tab> <return> <down-mouse-1> <mouse-1> <C-f6>
C <return> <help-echo> <help-echo> <down-mouse-1> <mouse-1>
C-x 1 <C-end> <up> <up> C-SPC <prior> <prior> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> M-w C-x # <down-mouse-1> <mouse-1>
C-x b * * s c r <tab> <backspace> <backspace> <backspace>
<backspace> s c <backspace> <backspace> <backspace>
C-g C-x d ~ / d e <return> W r <return> C-d + l a y
e r <backspace> <backspace> <backspace> <backspace>
<backspace> o n i o n <return> <return> C-x C-f l a
y e r s . t x t <return> C-y <C-home> M-% < u l > <return>
<return> ! <C-home> M-% < l i L <backspace> > C-g <C-home>
M-% < / u l > <return> <return> ! <C-home> C-x C-s
C-c M-e <C-home> C-s m u s e <end> C-s C-s C-s C-s
C-s C-s C-s <up> C-g <C-f4> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
Quit
Mark set [2 times]
Replaced 8 occurrences
Mark set
Saving file c:/home/dev/WrsTreeMap/onion/layers.txt...
Wrote c:/home/dev/WrsTreeMap/onion/layers.txt
run-hooks: Symbol's function definition is void: muse-project-after-save-hook
Matches (server-start)
Mark set
Mark saved where search started [2 times]
Quit

--
Nascif A. Abousalh-Neto
Inventory Replenishment Planning Java Architect
SAS Institute, Inc.
100 SAS Campus Dr, R4113
Cary NC 27513-8617
Tel 919-531-10123

-------------------------------------------------------------------
Nascif Abousalh-Neto
Software Development Manager
Query and Reporting  ▪ Business Intelligence Clients
Tel: + 1 919 531 0123 - [email-masked]
www.sas.com
SAS® … THE POWER TO KNOW®